edu.sc.seis.sod

## Class EventArm

- java.lang.Object
- - edu.sc.seis.sod.EventArm

- All Implemented Interfaces:
    Arm, java.lang.Runnable

      public class EventArm
      extends java.lang.Object
      implements Arm

  This class handles the subsetting of the Events based on the subsetters specified in the configuration file (xml file). Created: Thu Mar 14 14:09:52 2002

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventArm()`
    `EventArm(org.w3c.dom.Element config)`
    `EventArm(org.w3c.dom.Element config, boolean waitForWaveformProcessing)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(EventMonitor monitor)`
    `void` | `change(StatefulEvent event)`
    `edu.iris.Fissures.IfEvent.EventAccessOperations` | `getLastEvent()`
    `java.lang.String` | `getName()`
    `EventSource[]` | `getSources()`
    `java.util.List<OriginSubsetter>` | `getSubsetters()`
    `java.lang.Object` | `getWaveformArmSync()`
    `void` | `handle(edu.sc.seis.fissuresUtil.cache.CacheEvent[] events)`
    `boolean` | `isActive()`
    `void` | `run()`
    `void` | `setWaitForWaveformProcessing(boolean b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventArm

          public EventArm()
                   throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### EventArm

          public EventArm(org.w3c.dom.Element config)
                   throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### EventArm

          public EventArm(org.w3c.dom.Element config,
                          boolean waitForWaveformProcessing)
                   throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `Arm`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `Arm`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### add

          public void add(EventMonitor monitor)

    - #### getLastEvent

          public edu.iris.Fissures.IfEvent.EventAccessOperations getLastEvent()

    - #### handle

          public void handle(edu.sc.seis.fissuresUtil.cache.CacheEvent[] events)

    - #### change

          public void change(StatefulEvent event)

    - #### setWaitForWaveformProcessing

          public void setWaitForWaveformProcessing(boolean b)

    - #### getSources

          public EventSource[] getSources()

    - #### getSubsetters

          public java.util.List<OriginSubsetter> getSubsetters()

    - #### getWaveformArmSync

          public java.lang.Object getWaveformArmSync()